//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// Z poniższym kodem nie jest związana żadna gwarancja poprawności działania.
// Program został dołączony do książki ".NET CLR. Księga eksperta" w celu
// ilustracji koncepcji i zasad przedstawionych w tej książce. Program może być 
// używany na własne ryzyko.
//
// Przyznaje się prawo do użycia lub kopiowania tego oprogramowania do dowolnego celu
// bez konieczności ponoszenia żadnych opłat pod warunkiem, że powyższe uwagi zostaną 
// zachowane we wszystkich kopiach. Przyznaje się także prawo do modyfikacji kodu
// i dystrybucji zmodyfikowanego kodu pod warunkiem zachowania powyższych uwag
// oraz dołączenia informacji mówiącej o modyfikacji kodu.
//
// 
#pragma once
#include "afxcmn.h"


// Okno dialogowe CBlobHeapPage

class CBlobHeapPage : public CPropertyPage
{
	DECLARE_DYNAMIC(CBlobHeapPage)

public:
	CBlobHeapPage();
	virtual ~CBlobHeapPage();

// Dane okna dialogowego
	enum { IDD = IDD_BLOBHEAP };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // Obsługa DDX/DDV

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
private:
    int DumpHex(CListCtrl *pList, ULONG cRows, ULONG oData, const BYTE *pvData, ULONG cbData, ULONG nLine=16);
	CListCtrl m_ctrlBlobList;
};
